Bug 835941 - 3.1 - [Storage] Can not preview snapshot on VM that was created from template.
3.1 - [Storage] Can not preview snapshot on VM that was created from template.
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Eduardo Warszawski
Haim
Storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 11:13 EDT by Leonid Natapov
Modified: 2014-07-01 08:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 08:42:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (761.52 KB, application/octet-stream)
2012-06-27 11:13 EDT, Leonid Natapov
no flags Details

  None (edit)
Description Leonid Natapov 2012-06-27 11:13:12 EDT
Created attachment 594814 [details]
log file

[Storage] Can not preview snapshot on VM that was created from template.
------------


How to reproduce:
1.Create VM.
2.Create template from VM.
3.Create VM from template.
4.Create snapshot.
5.Preview snapshot.

full vdsm.log attached.

Thread-77024::WARNING::2012-06-27 17:59:45,555::blockVolume::101::Storage.Volume::(getVSize) Could not get size for vol 531bbdd0-1247-4320-992f-3e7b63deff72/
82456e2c-ba6e-4872-90ec-56fd61e2f7d8 using optimized methods
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/blockVolume.py", line 93, in getVSize
    return _getDeviceSize(lvm.lvPath(sdobj.sdUUID, volUUID)) / bs
  File "/usr/share/vdsm/storage/blockVolume.py", line 64, in _getDeviceSize
    with open(devPath, "rb") as f:
IOError: [Errno 2] No such file or directory: '/dev/531bbdd0-1247-4320-992f-3e7b63deff72/82456e2c-ba6e-4872-90ec-56fd61e2f7d8'
Thread-77024::WARNING::2012-06-27 17:59:45,555::blockVolume::101::Storage.Volume::(getVSize) Could not get size for vol 531bbdd0-1247-4320-992f-3e7b63deff72/
82456e2c-ba6e-4872-90ec-56fd61e2f7d8 using optimized methods
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/blockVolume.py", line 93, in getVSize
    return _getDeviceSize(lvm.lvPath(sdobj.sdUUID, volUUID)) / bs
  File "/usr/share/vdsm/storage/blockVolume.py", line 64, in _getDeviceSize
    with open(devPath, "rb") as f:
IOError: [Errno 2] No such file or directory: '/dev/531bbdd0-1247-4320-992f-3e7b63deff72/82456e2c-ba6e-4872-90ec-56fd61e2f7d8'
Thread-77024::DEBUG::2012-06-27 17:59:45,556::__init__::1164::Storage.Misc.excCmd::(_log) '/bin/dd iflag=direct skip=25 bs=512 if=/dev/531bbdd0-1247-4320-992
Comment 2 Eduardo Warszawski 2012-07-11 08:42:12 EDT
There are no traces of the problem descripted in the provided log.
In addition the bug is not reproducible by the reporter.

Note You need to log in before you can comment on or make changes to this bug.